processed or failed.
Consider that you are attempting a payout.
- You have generated an Idempotency Key and initiated the payout.
- There is a network issue and the system does not return a
processedvalue. - After sometime, you retry the payout using the same Idempotency Key.
- The system maps both attempts to a single payout because of the same Idempotency Key used.
- The payout is
processedonly once. There is no duplication because of the same Idempotency Key used. - If the payout returns a
failedstate, it means all attempts using the same Idempotency Key are failed. - You generate a new key to retry the payout.
To use the Payout Idempotency API, you must create a Contact and create a Fund Account (using bank account details or VPA). Ensure to allowlist the IPs that you use while making payouts via APIs or the request will fail.
Fork the Razorpay Postman Public Workspace and try the Payout Idempotency API using your Test API Keys.
Make an Idempotent Request
POST /v1/payoutsRequests for an idempotent payout.